<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/navigation"
    app:startDestination="@id/onboardFragment">

    <fragment
        android:id="@+id/onboardFragment"
        android:name="kedaiapps.projeku.testandroidphincon.ui.onboard.OnboardFragment"
        android:label="fragment_onboard"
        tools:layout="@layout/fragment_onboard" >
        <action
            android:id="@+id/action_onboardFragment_to_homeFragment"
            app:destination="@id/homeFragment" />
    </fragment>
    <fragment
        android:id="@+id/homeFragment"
        android:name="kedaiapps.projeku.testandroidphincon.ui.home.HomeFragment"
        android:label="fragment_home"
        tools:layout="@layout/fragment_home" >
        <action
            android:id="@+id/action_homeFragment_to_homeDetailFragment"
            app:destination="@id/homeDetailFragment" />
    </fragment>
    <fragment
        android:id="@+id/homeDetailFragment"
        android:name="kedaiapps.projeku.testandroidphincon.ui.home.HomeDetailFragment"
        android:label="fragment_home_detail"
        tools:layout="@layout/fragment_home_detail" >
        <argument
            android:name="name"
            app:argType="string" />
        <argument
            android:name="id"
            app:argType="string" />
    </fragment>
    <fragment
        android:id="@+id/favoriteFragment"
        android:name="kedaiapps.projeku.testandroidphincon.ui.home.FavoriteFragment"
        android:label="fragment_favorite"
        tools:layout="@layout/fragment_favorite" >
        <action
            android:id="@+id/action_favoriteFragment_to_homeDetailFragment"
            app:destination="@id/homeDetailFragment" />
    </fragment>
</navigation>